{...}: {
  services.monero = {
    enable = true;
    rpc = {
      address = "0.0.0.0";
      restricted = true;
    };
    extraConfig = ''
      prune-blockchain=1
      confirm-external-bind=1
      out-peers=64              # This will enable much faster sync and tx awareness; the default 8 is suboptimal nowadays
      in-peers=1024             # The default is unlimited; we prefer to put a cap on this
    '';
  };
}
